# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_HShape Class Reference

`#include <PTopoDS_HShape.hxx>`

Inheritance diagram for PTopoDS_HShape:

[legend]

## Public Member Functions

Standard_EXPORT | PTopoDS_HShape ()
Standard_EXPORT Handle_PTopoDS_TShape | TShape () const
Standard_EXPORT void | TShape (const Handle(PTopoDS_TShape)&T)
Standard_EXPORT PTopLoc_Location | Location () const
Standard_EXPORT void | Location (const PTopLoc_Location &L)
Standard_EXPORT TopAbs_Orientation | Orientation () const
Standard_EXPORT void | Orientation (const TopAbs_Orientation O)
| PTopoDS_HShape (const Storage_stCONSTclCOM &a)
| Handle (PTopoDS_TShape) _CSFDB_GetPTopoDS_HShapemyTShape() const
void | _CSFDB_SetPTopoDS_HShapemyTShape (const Handle(PTopoDS_TShape)&p)
const PTopLoc_Location & | _CSFDB_GetPTopoDS_HShapemyLocation () const
TopAbs_Orientation | _CSFDB_GetPTopoDS_HShapemyOrient () const
void | _CSFDB_SetPTopoDS_HShapemyOrient (const TopAbs_Orientation p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PTopoDS_TShape | myTShape
PTopLoc_Location | myLocation
TopAbs_Orientation | myOrient

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_HShape::PTopoDS_HShape | ( |  | ) |

PTopoDS_HShape::PTopoDS_HShape | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopLoc_Location& PTopoDS_HShape::_CSFDB_GetPTopoDS_HShapemyLocation | ( |  | ) | const`[inline]`

TopAbs_Orientation PTopoDS_HShape::_CSFDB_GetPTopoDS_HShapemyOrient | ( |  | ) | const`[inline]`

void PTopoDS_HShape::_CSFDB_SetPTopoDS_HShapemyOrient | ( | const TopAbs_Orientation | p | ) | `[inline]`

void PTopoDS_HShape::_CSFDB_SetPTopoDS_HShapemyTShape | ( | const Handle(PTopoDS_TShape)& | p | ) | `[inline]`

Standard_EXPORT const PTopoDS_HShape::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from ObjMgt_ExternShareable. Reimplemented in PTopoDS_Compound, PTopoDS_CompSolid, PTopoDS_Edge, PTopoDS_Face, PTopoDS_Shell, PTopoDS_Solid, PTopoDS_Vertex, and PTopoDS_Wire.

PTopoDS_HShape::Handle | ( | PTopoDS_TShape |  | ) | const`[inline]`

Standard_EXPORT void PTopoDS_HShape::Location | ( | const PTopLoc_Location & | L | ) |

Standard_EXPORT PTopLoc_Location PTopoDS_HShape::Location | ( |  | ) | const

Standard_EXPORT void PTopoDS_HShape::Orientation | ( | const TopAbs_Orientation | O | ) |

Standard_EXPORT TopAbs_Orientation PTopoDS_HShape::Orientation | ( |  | ) | const

Standard_EXPORT void PTopoDS_HShape::TShape | ( | const Handle(PTopoDS_TShape)& | T | ) |

Standard_EXPORT Handle_PTopoDS_TShape PTopoDS_HShape::TShape | ( |  | ) | const

## Field Documentation

PTopLoc_Location PTopoDS_HShape::myLocation `[private]`

TopAbs_Orientation PTopoDS_HShape::myOrient `[private]`

Handle_PTopoDS_TShape PTopoDS_HShape::myTShape `[private]`

The documentation for this class was generated from the following file:

- PTopoDS_HShape.hxx